.if n .ds La '
.if n .ds Ra '
.if t .ds La `
.if t .ds Ra '
.if n .ds Lq "
.if n .ds Rq "
.if t .ds Lq ``
.if t .ds Rq ''
.de Ch
\\$3\\*(Lq\\$1\\*(Rq\\$2
..
.TH "Single utility" 1
.ds ]W  Release 1.0
.SH NAME
.BR SINGLE

.SH DESCRIPTION

\fBusage:\fR	 \fIsingle [-o output] [-c creator] [-t type] [-s] input\fR

.fi
The \fIsingle\fR utility converts the information in the input 
file into 
\fIAppleSingle\fR or \fIAppleDouble\fR format depending on the 
file format of 
the input file. Normally the program will put the output into 
the file 
\fIsingle.out\fR. This can be over ridden with the \fB-o\fR option.
.nf

.fi
If the input file is in \fIAppleSingle\fR format then the 
output file will be 
in \fIAppleDouble\fR format unless the \fB-s\fR option is given.
The data fork 
will be in the file \fIoutput\fR and the resource fork will be in the file 
\fI%output\fR.  If the \fB-s\fR option is given then the input file will be split into 
three files; a file called \fIoutput\fR which contains the data fork, a file 
called %\fIoutput\fR which contains the resource information and a file 
called %h\fIoutput\fR which contains just the resource header 
information. The \fIinput\fR file is not modified.
.nf

.fi
If the input file is in \fIAppleDouble\fR format, the file will be converted 
into \fIAppleSingle\fR format.  Either resource fork file name or the data 
fork file name can be given as the input file.  This is true even if the 
data fork does not exist.  It is assumed that if the data fork is called 
\fIfilename\fR, the resource fork will be called %\fIfilename\fR.  
.nf

.fi
If the input file is in "\fBPACKIT 1\fR" format(packed format), then the 
files are unpacked into \fIAppleSingle\fR files.  In this case no output file 
names are required since the output file names will be the \fIrealnames\fR
of the unpacked files. The \fIrealname\fR is defined in the resource fork of a Macintosh file.
.nf

.fi
If the input file is in none of the formats above, then the file is 
converted to \fIAppleSingle\fR format with the data fork being the 
contents of the input file.  The only resource information added to 
the output file are the \fICreator\fR and \fIType\fR fields used in the \fIFinderInfo\fR.  The 
\fICreator\fR and \fIType\fR fields are set to "\fBUNKN\fR" and "\fBTEXT\fR", respectively, 
by default.  These fields can be set to different values by using the \fB-c\fR and the  \fB-t\fR options.
.nf

.SH OPTIONS

\fB-o \fIoutput file\fR\fR
.in +1i
.fi
The name of the output is not
required when the input file
is in \fIPACKIT 1\fR format. The single
program will default to \fIsingle.out\fR if no
output file is specified.
.nf
.in -1i

\fB-s\fR
.in +1i
.fi
Given an \fIAppleSingle\fR file, split the output 
file into three files;  an \fIoutput\fR file 
containing the data fork, a %\fIoutput\fR
files containing the resource 
information, a %h\fIoutput\fR file containing 
the resource header information. The \fB-s\fR does
not apply when the file is in \fIAppleDouble\fR format.
.nf
.in -1i

\fB-c Creator\fR
.in +1i
.fi
Set the \fIcreator\fR field in the \fIFinderInfo\fR.  
This option only applies when the input
file is not in \fIAppleSingle\fR, \fIAppleDouble\fR, 
\fIPACKIT 1\fR format(up to 4 characters).
.nf
.in -1i

\fB-t Type\fR
.in +1i
.fi
Set the \fItype\fR field in the \fIFinderInfo\fR.  
This option only applies when the input
file is not in \fIAppleSingle\fR, \fIAppleDouble\fR, 
\fIPACKIT 1\fR format(up to 4 characters).
.nf
.in -1i

.SH EXAMPLES

.nf
.in +1i
single -o \fIoutput\fR \fIapplesinglefile\fR
.in -1i
.fi

This will leave the file in \fIAppleDouble\fR format under the file names
\fIoutput\fR and %\fIoutput\fR.
.nf
.in +1i

single \fIappledoublefile\fR
.fi
.in -1i

This will leave the output in the default output file \fIsingle.out\fR.
.nf
.in +1i

single -c ttxt -t TEXT -o \fIteachTextFile\fR \fIunixTextfile\fR

.fi
.in -1i
This will take a simple UNIX text file and make it into a \fIAppleDouble Teach Text\fR document.
.nf

.SH SEE ALSO

.fi
\fIAppleSingle\fR and \fIAppleDouble\fR formats are defined in the document 
"\fIFormats for Apple files in foreign file systems\fR" as released by Apple.
